/**
 * @file This plugin is to access classification image data from different sources. Make sure that
 * the data is conform to expectation.
 */
import { UniformSampleData, OriginSampleData, ArgsType } from '@pipcook/pipcook-core';
/**
 * The plugin used to access data from different sources. It will detect all possible values of labels and
 * merge them into numeric expressions.
 * @param data: origin sample data
 * @param imgSize: the image size to uniform
 */
declare const imageDetectionDataAccess: (data: OriginSampleData | OriginSampleData[], args?: ArgsType) => Promise<UniformSampleData>;
export default imageDetectionDataAccess;
